org.apache.sling.launchpad.api

## Interface StartupHandler

    public interface StartupHandler

The `StartupHandler` tries to detect the startup mode: It distinguishes between an initial startup (INSTALL), an update (UPDATE) and a restart without a change (RESTART).

Since:
  1.1.0

### Method Summary

Methods
`StartupMode` `getMode()`
`boolean` `isFinished()`
`void` `waitWithStartup(boolean flag)`

### Method Detail

#### getMode

    StartupMode getMode()

#### isFinished

    boolean isFinished()

#### waitWithStartup

    void waitWithStartup(boolean flag)